package apis

import (
	"k8s.io/apimachinery/pkg/runtime/schema"
)

const (
	GroupName = "gateway.networking.k8s.io"
)

var (
	GatewayClassGK = gk("GatewayClass")
)

func gk(kind string) schema.GroupKind {
	return schema.GroupKind{
		Group: GroupName,
		Kind:  kind,
	}
}
